﻿namespace WebApplication1
{
    using System;
    using System.Linq;
    using System.Web.UI;

    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string template = @"<li>
                                    <%# Container.DataItem %>
                                   <asp:Literal id=""ltrItem"" runat=""server"" />
                                   <asp:HyperLink ID=""hlItem"" runat=""server"" NavigateUrl=""http://www.google.com"" Text=""Google"" />
                                </li>";

            this.listViewControl.DataSource = Enumerable.Range(0, 10);
            this.listViewControl.DataBind();

            this.listView.ItemTemplate = new ParseTemplate(template);
            this.listView.DataSource = Enumerable.Range(0, 10);
            this.listView.DataBind();
        }
    }

    public class ParseTemplate : ITemplate
    {
        private string _template;

        public ParseTemplate(string template)
        {
            this._template = template;
        }

        public void InstantiateIn(Control container)
        {
            container.Controls.Add(new LiteralControl(this._template));
        }
    }
}